Preloader image
DDD

리눅스

mod_jk.so 컴파일

작성자 관리자 (admin)
조회수 754
입력일 2022-02-19 00:16:02

Build (Compile) 시 버전 별 dependency 알아 보고 작업
기본 조건 : Apache HTTPD 컴파일이 완료 되어 있어야함.

OS : CentOS
HTTPS : 2.4.54
TOMCAT : 8.5.75
TOMCAT-CONNECTOR : 1.2.37

# tar xvfz tomcat-connectors-1.2.37-src.tar.gz

# cd /srv/tomcat-connectors-1.2.37-src/native

# ./configure -with-apxs=/app/apache/bin/apxs
apxs 는 perl 로 되어 있으므로 perl의 위치를 재지정해야할 필요가 있음. (#!/bin/perl -w)

# make

# cp ./apache-2.0/mod_jk.so /app/apache/modules

^